StreamCharBuffer.StreamCharBufferReader (Grails 6.0.0)

Package: org.grails.buffer

## [Java] Class StreamCharBuffer.StreamCharBufferReader

- org.grails.buffer.StreamCharBuffer.StreamCharBufferReader

-     public final class StreamCharBuffer.StreamCharBufferReader
      extends java.io.Reader

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `ChunkReader` | `chunkReader` |
    `boolean` | `eofException` |
    `int` | `eofReachedCounter` |
    `ChunkReader` | `lastChunkReader` |
    `boolean` | `removeAfterReading` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamCharBufferReader (boolean remove)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `close()`
    `` | `public final StreamCharBuffer` | `getBuffer()`
    `` | `public int` | `getReadLenLimit(int askedAmount)`
    `` | `private int` | `prepareRead(int len)`
    `` | `public final int` | `read(char[] b, int off, int len)`
    `` | `final int` | `readImpl(char[] b, int off, int len)`
    `` | `public boolean` | `ready()`
    `` | `private void` | `repositionChunkReader()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.io.Reader` | `java.io.Reader#nullReader(), java.io.Reader#ready(), java.io.Reader#read([C), java.io.Reader#read([C, int, int), java.io.Reader#read(java.nio.CharBuffer), java.io.Reader#read(), java.io.Reader#close(), java.io.Reader#mark(int), java.io.Reader#transferTo(java.io.Writer), java.io.Reader#skip(long), java.io.Reader#markSupported(), java.io.Reader#reset(), java.io.Reader#wait(long), java.io.Reader#wait(long, int), java.io.Reader#wait(), java.io.Reader#equals(java.lang.Object), java.io.Reader#toString(), java.io.Reader#hashCode(), java.io.Reader#getClass(), java.io.Reader#notify(), java.io.Reader#notifyAll()`

- - ### Field Detail

    - #### ChunkReader chunkReader

    - #### boolean eofException

    - #### int eofReachedCounter

    - #### ChunkReader lastChunkReader

    - #### boolean removeAfterReading

  - ### Constructor Detail

    - #### public StreamCharBufferReader(boolean remove)

  - ### Method Detail

    - #### @java.lang.Override public void close()

    - #### public final StreamCharBuffer getBuffer()

    - #### public int getReadLenLimit(int askedAmount)

    - #### private int prepareRead(int len)

    - #### @java.lang.Override public final int read(char[] b, int off, int len)

    - #### final int readImpl(char[] b, int off, int len)

    - #### @java.lang.Override public boolean ready()

    - #### private void repositionChunkReader()